//
// CalenDialog.java -- display positions of Saturn and its moons.
//	Copyright 2002 by Akkana Peck.
// You may use or distribute this code under the terms of the GPL.
//

package Akk.Astro;

import java.awt.*;
import java.awt.event.*;

public class CalenDialog extends Dialog implements ActionListener
{
    public CalenDialog(Frame parent, String message)
    {
        super(parent, true);

	setLayout(new FlowLayout(FlowLayout.LEFT));
        chMonth = new Choice();
        chMonth.setName("month");
        chMonth.add("Jan");
        chMonth.add("Feb");
        chMonth.add("Mar");
        chMonth.add("Apr");
        chMonth.add("May");
        chMonth.add("Jun");
        chMonth.add("Jul");
        chMonth.add("Aug");
        chMonth.add("Sep");
        chMonth.add("Oct");
        chMonth.add("Nov");
        chMonth.add("Dec");
        chMonth.select(9);
        chMonth.addItemListener(this);
        add(chMonth);

        chDay = new Choice();
        chDay.setName("day");
        for (int day = 1; day <= 31; ++day)
            chDay.add(Integer.toString(day));
        chDay.addItemListener(this);
        add(chDay);

        chYear = new Choice();
        chYear.setName("year");
        chYear.add("2001");
        chYear.add("2002");
        chYear.add("2003");
        chYear.add("2004");
        chYear.select("2002");
        chYear.addItemListener(this);
        add(chYear);

        chHour = new Choice();
        chHour.setName("hour");
        for (int hour = 0; hour < 24; ++hour)
            chHour.add(Integer.toString(hour));
        chHour.addItemListener(this);
        add(chHour);

        chMin = new Choice();
        chMin.setName("minute");
        chMin.add("00");
        chMin.add("15");
        chMin.add("30");
        chMin.add("45");
        chMin.addItemListener(this);
        add(chMin);




        this.add("Center", new Label(message));
        Panel p = new Panel();
        p.setLayout(new FlowLayout());
        Button yes = new Button("Yes");
        yes.addActionListener(this);
        p.add(yes);
        Button no = new Button("No");
        no.addActionListener(this);
        p.add(no);
        this.add("South", p);
        this.setSize(300,100);
        this.setLocation(100, 200);
        this.pack();
    }  
  
    public void actionPerformed(ActionEvent e)
    {
        this.hide();
        this.dispose();
    }
}


